This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031688 - Gluster volume set command "rpc-auth-allow" returning success for invalid IP
Gluster volume set command "rpc-auth-allow" returning success for invalid IP
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Lalatendu Mohanty
glusterd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 09:44 EST by Lalatendu Mohanty
Modified: 2015-03-23 03:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-23 03:36:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-11-18 09:44:19 EST
Description of problem:

Gluster volume set command "rpc-auth-allow" returning success for wrong argument where it should return non-zero return code.

gluster volume set <volumename> rpc-auth-allow 34791..11841..1 
Expected 1-255, got 0

Version-Release number of selected component (if applicable):
glusterfs-3.3.0.7rhs-1.el6rhs.x86_64.rpm


How reproducible:
always

Steps to Reproduce:
1. Create a gluster volume
2. Run "gluster volume set <volumename> rpc-auth-allow 34791..11841..1" 
3. echo $?

Actual results:
Volume set command returns 0 (i.e. success)

Expected results:
it should be non zero

Additional info:

This bug is not present in RHS2.1
Comment 2 Vivek Agarwal 2015-03-23 03:36:55 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html
Comment 3 Vivek Agarwal 2015-03-23 03:39:13 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html

Note You need to log in before you can comment on or make changes to this bug.